Skip to content
Developer Tools
Accelerate development using AI assistants and tools

Refund Application ​

  • Endpoint: POST /v1.0/debit/refund
  • Tags: Indonesia SNAP/Collection

Parameters ​

FieldInTypeRequiredConstraintsDescription
Content-TypeheaderstringYesContent type, value always application/json
X-TIMESTAMPheaderstringYesTransaction date time, in format yyyy-MM-dd'T'HH:mm:ss.SSSXXX
X-SIGNATUREheaderstringYesSignature need to be generated with symmetricSignature or asymmetricSignature method
ORIGINheaderstringNoOrigin domain
X-PARTNER-IDheaderstringYesUnique identifier for partner was generated by Payermax, or known as clientId
X-EXTERNAL-IDheaderstringYesUnique messaging reference identifier generated by merchant and should be unique within the same day
CHANNEL-IDheaderstringYesDevice identification on which the API services is currently being accessed by the end user (customer)
AuthorizationheaderstringYesRepresents access_token of a request; string starts with keyword “Bearer ” followed by access_token

Parameter Examples ​

  • Content-Type: "application/json"
  • X-TIMESTAMP: ""
  • X-SIGNATURE: ""
  • ORIGIN: ""
  • X-PARTNER-ID: ""
  • X-EXTERNAL-ID: ""
  • CHANNEL-ID: ""
  • Authorization: ""

Request Body ​

Content-Type: application/json

FieldTypeRequiredConstraintsDescriptionEnum
originalPartnerReferenceNostringYesmaxLength: 64Original transaction identifier on partner system
refundAmountobjectYesNet amount of the refund
refundAmount.valuestringYesRefund amount
refundAmount.currencystringYesmaxLength: 3Refund currency
partnerRefundNostringYesmaxLength: 64Reference number from merchant for the refund
merchantIdstringNomaxLength: 32Merchant identifier that is unique per each merchant
externalStoreIdstringNomaxLength: 64Store identifier to indicate to which store this payment belongs to
reasonstringNomaxLength: 512Refund reason
additionalInfoobjectYesAdditional information
additionalInfo.versionstringYesmaxLength: 8API version. Current value: 1.4
additionalInfo.keyVersionstringYesmaxLength: 8Signature Algorithm Version, Current value: 1
additionalInfo.refundNotifyUrlstringNomaxLength: 256Refund callback link, which can be configured in the background of the system

Example ​

json
{
  "merchantId": "P05010114269706",
  "partnerRefundNo": "{{orderNumber}}",
  "originalPartnerReferenceNo": "20240302141539079100054",
  "refundAmount": {
    "value": "1",
    "currency": "IDR"
  },
  "additionalInfo": {
    "version": "1.4",
    "keyVersion": "1",
    "refundNotifyUrl": "http:xx"
  }
}

Responses ​

200 ​

ErrorCode ​

codemessage
2005800Successful
5005801Internal Server Error
4005801Invalid Field Format [field name/msg]
4295800Too Many Requests
4015800Unauthorized. [reason]
4045808Invalid Merchant
4055801Requested Opearation Is Not Allowed [reason]
4045813Invalid Amount [reason]
4035815Transaction Not Permitted.[reason]
4035814Insufficient Funds
4045801Transaction Not Found [reason]
5005800General Error [msg]
FieldTypeRequiredConstraintsDescriptionEnum
responseCodestringYesmaxLength: 7response code
responseMessagestringYesmaxLength: 256response msg
refundNostringYesmaxLength: 64Refund number identifier on Payermax system
partnerRefundNostringYesmaxLength: 64Reference number from merchant for the refund
originalReferenceNostringYesmaxLength: 64Original transaction identifier on Payermax system
additionalInfoobjectYesAdditional information
additionalInfo.refundStatusstringYesmaxLength: 200 - Success 03 - Pending 06 - Failed

Response Example ​

json
{
  "responseCode": "2005800",
  "responseMessage": "Request has been processed successfully",
  "originalReferenceNo": "2020102977770000000009",
  "refundNo": "REF993883",
  "partnerRefundNo": "239850918204981205970",
  "additionalInfo": {
    "refundStatus": "00"
  }
}

Was this page helpful?

Thank you for your help in improving PayerMax Product Docs!

Released under the MIT License.